Feature: UI Catalog test demo iOS
  test demo to test predefined steps to make sure they work

  Background:
    Given my app is running

    Scenario:  Testing clicks and verifications and alerts
      Then I should see text containing "Action Sheets"
      Then I should see "UICatalog"
      Then I should see text "UICatalog"
      Then I tap text using partial text "Action Sheets"
      Then I should see text "Okay / Cancel"
      Then I should not see text "Cancel / Okay"
      Then I should see text "Other"
      Then I tap "Okay / Cancel" text
        #Then I take a picture
      Then I should not see "Okay / Cancel"
      Then I accept the alert
      Then I should see "Okay / Cancel"
      Then I tap "Other"
      Then I tap "Destructive Choice" button
      Then I tap "Other"
      Then I tap "Safe Choice"
      Then I go back
      Then I tap text using partial text "Activity Indicators"
      Then I should see 2 activity bars
      Then I should see page containing "RAY"
      Then I should not see text containing "RAY"
      Then I should see text containing "ndicat"
      Then I should see page containing "ndicat"
      Then I should see "GRAY"
      Then I should not see text "GRAY"
      # do not use this for text
      #Then I should not see "GRAY" text
      Then I go back
      Then I should not see activity bars
      Then I tap text using partial text "Alert Views"
      Then I tap "Simple"
      Then I should see "A Short Title Is Best"
      Then the alert title should be "A Short Title Is Best"
      Then the alert text should be "A message should be a short, complete sentence."
      Then the alert text should contain "message"
      Then the alert title should contain "Title"
      Then I tap "OK"
      Then I tap "Text Entry"
      Then I enter "Some text typed" into text field number 1
      Then I should see "Some text typed" text field
      Then I tap "OK"
      Then I tap "Other"
      Then I should see 5 buttons
      Then I tap a button number 3
      Then I should not see text "A Short Title Is Best"
      Then I tap "Secure Text Entry"
      Then I enter "some password" into password field number 1
      Then I tap "OK"
      Then I wait 1 second


    Scenario: Testing clicking list items and setting picker wheel
      Then I touch list item
      Then I should see "Other"
      Then I go back
      Then I tap list item number 5
      Then I should see "Date Picker"
      Then I set "11" into picker wheel number 2
      Then I set "59" into picker wheel number 3
      Then I set "PM" into picker wheel number 4
      Then I should see text containing "11:59 PM"


    Scenario: ios buttons, ios textifelds, entering text using placeholder,
      Then I touch "Search Bars"
      Then I tap text using partial text "Default"
      Then I enter "One" into the search bar
      Then I touch Search on keyboard
      Then I touch on screen 160 from the left and 300 from the top
      Then I go back
      Then I go back
      Then I tap text using partial text "Text Fields"
      Then I enter "Hello" into text field
      Then I touch Done on the keyboard
      Then I enter "text to write" into the "Placeholder text" input field


    Scenario: some
      Then I tap text using partial text "Text Fields"
      Then I fill in text fields as follows:
        | Placeholder text | one two      | text field |
        | Placeholder text | three four   | text field |
        | Placeholder text | password     | password   |
        | Placeholder text | 44 to        | text field |
        | Placeholder text | 22 to        | text field |
      Then I touch Done on the keyboard
      Then I wait 2 seconds
      Then I go back
    #Waiting for text, or a view with a certain accessibilityLabel
      Then I tap "Toolbars"
      Then I go back
      Then I wait to see partial text "Switches"
      Then I tap "Toolbars"
      Then I go back
      Then I wait to see "Search Bars" text
      Then I should see "Toolbars"
      Then I wait to see "Toolbars"
      Then I wait to see "UICatalog" navigation bar
      Then I wait for "Switchers"
      Then I wait to see "Toolbars" list item
      Then I wait for "Hello" button
      Then I wait up to 10 seconds to see 18 Table Cells
      Then I should see 18 table cells
      Then I wait up to 5 seconds to see 18 Table Cells
      Then I wait for progress
      Then I wait for activity

    @run
  Scenario: Web view
      Then I tap text using partial text "Web View"
      Then I switch to the web view
      Then I switch to the native view
      Then I tap "Menu" button
      Then I wait 3 seconds
















#    Scenario: Testing clicks and verifications
#      Then I should see text containing "Action Sheets"
#      Then I should see "UICatalog"
#      Then I should see text "UICatalog"
#      Then I tap text using partial text "Action Sheets"
#      Then I should see text "Okay / Cancel"
#      Then I should not see text "Cancel / Okay"
#      Then I should see text "Other"
#      Then I tap "Okay / Cancel" text
#      #Then I take a picture
#      Then I should not see "Okay / Cancel"
#      Then I accept the alert
#      Then I should see "Okay / Cancel"
#      Then I tap "Other"
#      Then I tap "Destructive Choice" button
#      Then I tap "Other"
#      Then I tap "Safe Choice"
#      Then I go back
#      Then I tap text using partial text "Activity Indicators"
#      Then I should see 2 progress bars
#      Then I should see page containing "RAY"
#      Then I should not see text containing "RAY"
#      Then I should see text containing "ndicat"
#      Then I should see page containing "ndicat"
#      Then I should see "GRAY" label
#      Then I should not see text "GRAY"
#      Then I should not see "GRAY" text
#      Then I go back
#      Then I should not see progress bars
#      Then I tap text using partial text "Alert Views"
#      Then I tap "Simple"
#      Then I should see "A Short Title Is Best"







