Feature: UI Catalog test demo Android
  test demo to test predefined steps to make sure they work

  Background:
    Given my app is running


  Scenario: pressing items and verifying items and text and specific elements with exact text
    Then I see the text "OS"
    Then I should not see text "S"
    Then I press "App"
    Then I should see "Action Bar"
    Then I go back
    Then I should not see "Action Bar"
    Then I scroll to "Views"
    Then I see "Views"
    Then I press "Views"
    Then I touch the "Controls" text
    Then I tap "1. Light Theme"
    Then I should not see text "Views/Contrals/1. Light Theme"
    Then I should see text "Views/Controls/1. Light Theme"
    Then I should see text containing "Controls"
    Then I see text containing "Light Theme"
    Then I should not see text containing "aabb"
    Then I press button number 1
    Then I press the "Save" button
    Then I wait 0.1 second
    Then I wait 1 second
    Then I toggle "Checkbox 1" checkbox
    Then I should see "Checkbox 1" checkbox
    Then I should not see "Checkbox 5" checkbox
    Then I toggle "Checkbox 1" checkbox
    Then I toggle "Checkbox 1" checkbox
    Then I toggle checkbox number 1
    Then I long press "Save"
    Then I tap button number 1
    Then I tap "Checkbox 1" checkbox
    Then I tap checkbox
    Then I tap checkbox number 1
    Then I tap checkbox number 2
    Then I tap checkbox number 2
    Then I tap "Save"

   Scenario: clicking image buttons
    Then I scroll to "Views"
    Then I see "Views"
    Then I press "Views"
    Then I scroll to "ImageButton"
    Then I tap "ImageButton"
    Then I press image button
    Then I press image button number 2
    Then I press image button number 3



  Scenario: typing into text field
    Then I scroll to "Views"
    Then I see "Views"
    Then I press "Views"
    Then I scroll to "Search View"
    Then I tap "Search View"
    Then I tap "Action Bar"
    Then I tap "Search"
    Then I type "hello world" in "Search query"
    Then I should see text "Query = hello world"

  Scenario: Clicking toggle buttons, radio buttons, checkboxes, select items and verifying that it worked
    Then I scroll to "Views"
    Then I press "Views"
    Then I scroll to "Controls"
    Then I touch the "Controls" text
    Then I press "1. Light Theme"
    Then I should see text "Views/Controls/1. Light Theme"
    Then I hide keyboard
    Then I tap "Checkbox 1" checkbox
    Then "Checkbox 1" is set
    Then "Checkbox 1" checkbox is set
    Then the checkbox number 1 is set
    Then the checkbox is set
    Then "Checkbox 2" is not set
    Then "Checkbox 2" checkbox is not set
    Then the checkbox number 2 is not set
    Then I tap "Checkbox 2"
    Then "Checkbox 2" is set
    Then "Checkbox 2" checkbox is set
    Then checkbox number 2 is set
    Then I tap checkbox number 1
    Then "Checkbox 1" is not set
    Then "Checkbox 1" checkbox is not set
    Then the checkbox number 1 is not set
    Then I tap "RadioButton 1" radio button
    Then "RadioButton 1" is set
    Then "RadioButton 1" radio button is set
    Then the radio button number 1 is set
    Then "RadioButton 2" is not set
    Then "RadioButton 2" radio button is not set
    Then the radio button number 2 is not set
    Then I tap "RadioButton 2"
    Then "RadioButton 2" is set
    Then "RadioButton 2" radio button is set
    Then radio button number 2 is set
    Then "RadioButton 1" is not set
    Then "RadioButton 1" radio button is not set
    Then the radio button number 1 is not set
    Then I tap radio button number 1
    Then radio button number 1 is set
    Then I tap radio button number 2
    Then "RadioButton 2" is set
    Then toggle button number 1 is not set
    Then I touch toggle button number 1
    Then toggle button number 1 is set
    Then toggle button number 2 is not set
    Then I touch "OFF" toggle button
    Then the toggle button number 2 is set
    Then I tap "ON" toggle button
    Then toggle button number 1 is not set
    Then I tap "Mercury"
    Then "Mercury" is set
    Then "Venus" is not set
    Then I tap "Venus"
    Then "Venus" is not set

  Scenario:  typing in text and clearing the text field
    Then I scroll to "Views"
    Then I press "Views"
    Then I scroll to "Controls"
    Then I touch the "Controls" text
    Then I press "1. Light Theme"
    Then I enter "Hello Automation" into input field number 1
    Then I should not see "hint text"
    Then I clear input field
    Then I should see "hint text"
    Then I type "hello" in "hint text"
    Then I should see "hello"
    Then I clear "hello"
    Then I should see "hint text"

@fail
  Scenario: checking network connections and android locking and notification screen
    Then I go to the Airplane mode
    Then I should be in Airplane mode
    Then I go to Wifi only mode
    Then I should be in Wifi only mode
    Then I go to the Data mode
    Then I should be in Data mode
    Then I go to wifi and data mode
    Then I should be in wifi and data mode
    Then I lock the screen
    Then I unlock the screen
    Then I open notifications


    Scenario: date and time pickers
      Then I scroll to "Views"
      Then I press "Views"
      Then I scroll to "Controls"
      Then I touch the "Date Widgets" text
      Then I press "1. Dialog"
      Then I press "change the date" button
      Then I set the date to "02-18-1991" on the DatePicker
      Then I tap "Done"
      Then I should see text containing "2-18-1991"
      Then I press "change the date" button
      Then I set the date to "03-21-2000" on the DatePicker number 1
      Then I tap "Done"
      Then I should see "change the date"
      Then I should see text containing "3-21-2000"
      Then I tap "change the time" button
      Then I set the time to 12:30 pm on TimePicker
      Then I tap "Done" button
      Then I should see text containing "12:30"
      Then I tap "change the time" button
      Then I set the time to 6:15 pm on TimePicker
      Then I tap "Done" button
      Then I should see text containing "18:15"
      Then I tap "change the time" button
      Then I set the time to 5:22 am on the TimePicker number 1
      Then I tap "Done" button
      Then I should see text containing "5:22"



    Scenario: image clicking
      Then I scroll to "Views"
      Then I press "Views"
      Then I scroll to "ImageSwitcher"
      Then I touch the "ImageSwitcher"
      Then I touch image number 3
      Then I wait a second
      Then I touch image number 4
      Then I wait a second
      Then I touch image number 5
      Then I wait a second
      Then I touch image number 5
      Then I wait a second
      Then I touch image number 5
      Then I wait a second

@runrun
    Scenario: check elements
      Then I scroll to "Views"
      Then I press "Views"
      Then I scroll to "Progress Bar"
      Then I press "Progress Bar"
      Then I press "3. Dialogs"
      Then I press "Show Indeterminate No Title" button
      Then I should see the text "Please wait while loading..."
      Then I should see a Progress Bar
      Then I go back
      Then I should not see a Progress bar
      Then I should see 2 buttons
      Then I go back
      Then I should not see buttons


@runrun1
    Scenario: Switches
      Then I scroll to "Views"
      Then I press "Views"
      Then I scroll to "Switches"
      Then I press "Switches"
      Then I tap switch number 3
      Then I should see "Monitored switch ON"
      Then I tap "Default is on ON" switch
      Then I should see "Default is on OFF"

    Scenario: check spinner
      Then I scroll to "Views"
      Then I press "Views"
      Then I scroll to "Spinner"
      Then I press "Spinner"
      Then I select "blue" from "red"
      Then I select "Earth" from "Mercury"
      Then I select "green" from spinner number 1
      Then I select "Mars" from spinner number 2
      Then I select "Earth" from "Mars"
      Then I select "red" from "green"

     Scenario: tabs
       Then I scroll to "Views"
       Then I press "Views"
       Then I scroll to "Tabs"
       Then I press "Tabs"
       Then I press "1. Content By Id"
       Then I press "tab2" tab
       Then I wait 1 seconds
       Then I press "tab3" tab
       Then I wait 1 seconds
       Then I press "tab1" tab

      Scenario: phone app swiping + rotation
        Then I wait 2 seconds
        Then I scroll down
        Then I press "Views"
        Then I scroll down
        Then I scroll down
        Then I scroll down
        Then I wait 1 seconds
        Then I scroll up
        Then I scroll up
        Then I scroll up
        Then I rotate to landscape
        Then I wait 1 seconds
        Then I rotate to portrait
        Then I go back




        ###API 17 steps only for a device because the phone app is different on newer api
    Scenario: Making a phone call and swipes

        Then I open package "com.android.contacts" activity ".activities.DialtactsActivity"
        Then I tap "Phone"
        Then I should see 16 image buttons
        Then I swipe right
        Then I should see 1 image button
        Then I swipe right
        Then I should see text "All contacts with phone numbers"
        Then I swipe left
        Then I should not see text "All contacts with phone numbers"
        Then I should see 1 image button
        Then I swipe left
        Then I swipe left
        Then I should see 16 image buttons
        Then I tap "four"
        Then I tap "one"
        Then I tap "five"
        Then I tap image button number 8
        Then I tap image button number 5
        Then I tap image button number 6
        Then I tap image button number 2
        Then I tap image button number 10
        Then I tap image button number 10
        Then I tap image button number 2
        Then I take a screenshot
        Then I tap disabled"dial"
        Then I tap "OK"



     Scenario: Testing seek bar in settings
        Then I open package "com.android.settings" activity ".Settings"
        Then I tap "Sound"
        Then I tap "Volumes"
        Then I set seek bar number 1 to 1
        Then I wait 1 seconds
        Then I set seek bar number 1 to 0.5
        Then I wait 1 seconds
        Then I set seek bar number 1 to 0.9
        Then I wait 1 seconds
        Then I set seek bar number 1 to 0.1
        Then I wait 1 seconds
        Then I set seek bar number 1 to 0.8
        Then I wait 1 seconds
        Then I set seek bar number 1 to 0.2
        Then I wait 2 seconds
        Then I set seek bar number 1 to 0.7
        Then I wait 2 seconds
        Then I set seek bar number 1 to 0.3
        Then I wait 2 seconds
        Then I set seek bar number 1 to 0.6
        Then I wait 2 seconds
        Then I set seek bar number 1 to 0.4
        Then I wait 2 seconds
        Then I set seek bar number 1 to 1
        Then I wait 2 seconds
        Then I set seek bar number 1 to 0
        Then I wait 2 seconds

#      Scenario: TODO new methods
#        Then I enter text "hello" into field with id "some DI"
#        Then I clear input field with id "someID"
#        Then I press view with id "/someid/"
#        Then I wait for the view with id "/some/id" to appear
#        Then I wait up to 5 seconds for the ".Hello" screen to appear
#        Then I wait for progress
#
#
#        Then I wait for "Hello" to appear
#        Then I wait for "Hello" button to appear
#        Then I wait for "hello" raddio button to appear
#        Then I wait up to 1 seconds for "asd" to appear
#        Then I wait up to 5 seconds to see "hello"
#        Then I wait upto 5 seconds to see "hello" button
#
#        Then I set maximum timeout to be 10 seconds










